    The XSPEC vcph model: Cooling + heating model for cool core clusters

xsvcph
The xsvcph model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsvcph", "mdl")
>>> print(mdl)

Create a component of the xsvcph model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.peakT thawed 2.2 0.1 100 keV mdl.He frozen 1 0 1000 mdl.C frozen 1 0 1000 mdl.N frozen 1 0 1000 mdl.O frozen 1 0 1000 mdl.Ne frozen 1 0 1000 mdl.Na frozen 1 0 1000 mdl.Mg frozen 1 0 1000 mdl.Al frozen 1 0 1000 mdl.Si frozen 1 0 1000 mdl.S frozen 1 0 1000 mdl.Ar frozen 1 0 1000 mdl.Ca frozen 1 0 1000 mdl.Fe frozen 1 0 1000 mdl.Ni frozen 1 0 1000 mdl.Redshift frozen 0 0 50 mdl.switch frozen 1 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
peakT
The peak temperature, in keV.
He, C, N, O, Ne, Na, Mg, Al, Si, S, Ar, Ca, Fe, Ni
The abundance of the element, with respect to Solar.
Redshift
The redshift.
switch
If 0 calculate, if 1 interpolate, if 2 use AtomDB data.
norm
The mass accretion rate, in solar mass per year.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCph.html

Changes in CIAO

The default Redshift parameter value has changed from 0.1 to 0 to match XSPEC.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023